Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(723)

Unified Diff: git_cl/test/upstream.sh

Issue 6598068: Add support for wildcards in svn remote configuration. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: sync Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « git_cl/test/test-lib.sh ('k') | scm.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: git_cl/test/upstream.sh
diff --git a/git_cl/test/upstream.sh b/git_cl/test/upstream.sh
new file mode 100755
index 0000000000000000000000000000000000000000..0327b68227814375a726e384a5509ee3ee1ec26c
--- /dev/null
+++ b/git_cl/test/upstream.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Check guessing the svn upstream branch.
+
+set -e
+
+. ./test-lib.sh
+
+setup_initsvn
+setup_gitsvn
+
+(
+ set -e
+ cd git-svn
+
+ git config rietveld.server localhost:8080
+
+ for ref in refs/remotes/trunk refs/remotes/some_branch; do
+ git checkout -q -B feature_branch $ref
+ test_expect_success "Guessing upstream branch for $ref" \
+ "$GIT_CL upstream | egrep -q '^$ref$'"
+ git checkout -q master
+ done
+)
+
+SUCCESS=$?
+
+cleanup
+
+if [ $SUCCESS == 0 ]; then
+ echo PASS
+fi
« no previous file with comments | « git_cl/test/test-lib.sh ('k') | scm.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698